# Copyright (C) 2017-2018  Lars Wirzenius
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import ick2


class VersionAPI(ick2.APIbase):

    def __init__(self, state):
        super().__init__(state)
        self._artifact_store_url = None
        self._auth_url = None
        self._notify_url = None

    def set_artifact_store_url(self, url):
        self._artifact_store_url = url

    def set_auth_url(self, url):
        self._auth_url = url

    def set_notify_url(self, url):
        self._notify_url = url

    def get_routes(self, path):  # pragma: no cover
        return [
            {
                'method': 'GET',
                'path': path,
                'callback': self.GET(self.get_version),
                'needs-authorization': False,
            }
        ]

    def get_version(self, **kwargs):
        return {
            'version': ick2.__version__,
            'artifact_store': self._artifact_store_url,
            'auth_url': self._auth_url,
            'notify_url': self._notify_url,
        }

    def create(self, body, **kwargs):  # pragma: no cover
        pass

    def update(self, body, name, **kwargs):  # pragma: no cover
        pass

    def delete(self, name, **kwargs):  # pragma: no cover
        pass

    def list(self, **kwargs):  # pragma: no cover
        pass

    def show(self, name, **kwargs):  # pragma: no cover
        pass
