# Copyright (C) 2017-2018  Lars Wirzenius
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


import unittest


import ick2


class VersionAPITests(unittest.TestCase):

    def test_returns_version_correcly(self):
        bloburl = 'https://blobs.example.com'
        idpurl = 'https://idp.example.com'
        notifyurl = 'https://notify.example.com'
        api = ick2.VersionAPI(None)
        api.set_artifact_store_url(bloburl)
        api.set_auth_url(idpurl)
        api.set_notify_url(notifyurl)
        response = api.get_version()
        self.assertEqual(
            response,
            {
                'version': ick2.__version__,
                'artifact_store': bloburl,
                'auth_url': idpurl,
                'notify_url': notifyurl,
            }
        )
